from launchpadlib.launchpad import AnonymousAccessToken


def launchpad_authorization_url(request):
    context = {}

    credentials = request.launchpad.credentials

    if credentials.access_token is None or isinstance(credentials.access_token,
                                                      AnonymousAccessToken):
        # Reset anonymous access token, otherwise get_request_token complains
        credentials.access_token = None
        context['launchpad_authorization_url'] = credentials.get_request_token(
            web_root='production')

    return context
