from django.db.models import Count
from django.shortcuts import render

from inventory.models import Location


def basic(request):
    locations = Location.objects.annotate(inventory_objects_count=Count('facts__inventory_objects'))

    return render(request, 'reports/basic.html', {
        'locations': locations,
    })
