from inventory.models import RacksUser


class RacksUserMiddleware:
    @staticmethod
    def get_racks_user(request):
        try:
            return RacksUser.objects.get(username=request.user.username)
        except RacksUser.DoesNotExist:
            return None

    def process_request(self, request):
        request.racks_user = self.get_racks_user(request)
