# -*- coding: utf-8 -*-
from south.db import db
from south.v2 import SchemaMigration


class Migration(SchemaMigration):
    def forwards(self, orm):
        # Adding model 'AccessToken'
        db.create_table(u'security_accesstoken', (
            (u'id',
             self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('created', self.gf('django.db.models.fields.DateTimeField')(
                auto_now_add=True, blank=True)),
            ('modified',
             self.gf('django.db.models.fields.DateTimeField')(auto_now=True,
                                                              blank=True)),
            ('active',
             self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('application',
             self.gf('django.db.models.fields.CharField')(max_length=128)),
            ('token', self.gf('django.db.models.fields.CharField')(
                unique=True, max_length=128)),
        ))
        db.send_create_signal(u'security', ['AccessToken'])

    def backwards(self, orm):
        # Deleting model 'AccessToken'
        db.delete_table(u'security_accesstoken')

    models = {
        u'security.accesstoken': {
            'Meta': {'object_name': 'AccessToken'},
            'active': (
                'django.db.models.fields.BooleanField', [],
                {'default': 'True'}),
            'application': (
                'django.db.models.fields.CharField', [],
                {'max_length': '128'}),
            'created': ('django.db.models.fields.DateTimeField', [],
                        {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': (
                'django.db.models.fields.AutoField', [],
                {'primary_key': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [],
                         {'auto_now': 'True', 'blank': 'True'}),
            'token': ('django.db.models.fields.CharField', [],
                      {'unique': 'True', 'max_length': '128'})
        }
    }

    complete_apps = ['security']
