from setuptools import setup, find_packages

setup(
    name='racks',
    packages=find_packages(),
    include_package_data=True,
    install_requires=[
        'Django==1.6.1',
        'djangorestframework==2.3.12',
        'PyYAML==3.11',
        'South==0.7.5',
        'python-ldap>=2',
        'django-auth-ldap==1.2.6',
        'netaddr==0.7.18',
        'django-filter==0.6',
        'requests',
        'PyZabbix',
        'netmiko',
        'celery==3.1.6',
        'django-bootstrap3==6.2.2',
        'launchpadlib==1.10.2',
    ],
    zip_safe=False,
)
